function Ajaxy_Analytics() {
    this.c_name = "_aaa_ajaxy_utmz";
    this.getQueryVariable = function(variable) {
        var query = window.location.search.substring(1);
        var vars = query.split("&");
        for (var i = 0; i < vars.length; i++) {
            var pair = vars[i].split("=");
            if (pair[0] == variable) {
                return pair[1];
            }
        }
        return (false);
    };
    this.events = function() {
        var _this = this;
        jQuery(document).ready(function() {
            var utms = {
                'utm_source': '#field_source',
                'utm_medium': '#field_medium',
                'utm_campaign': '#field_campaign',
                'utm_term': '#field_term',
                'utm_content': '#field_content'
            };
            for (var i in utms) {
                jQuery('form').find(utms[i]).each(function() {
                    var a = _this.getQueryVariable(i);
                    if (a) {
                        jQuery(this).val(a);
                    }
                });
            }
            if (_this.getQueryVariable("utm_source") != "") {
                // create a cookie for 6 months
                _this.createCookie(_this.c_name, _this.getQueryVariable("utm_source") + "|" +
                    _this.getQueryVariable("utm_medium") + "|" + _this.getQueryVariable("utm_term") + "|" +
                    _this.getQueryVariable("utm_campaign") + "|" + _this.getQueryVariable("utm_content"), 180);
            } else if (_this.readCookie(_this.c_name)) {
                var c_start = _this.readCookie(_this.c_name);
                var _pipe = c_start.split("|");
                jQuery("#field_source").val(_pipe[0]);
                jQuery("#field_medium").val(_pipe[1]);
                jQuery("#field_term").val(_pipe[2]);
                jQuery("#field_campaign").val(_pipe[3]);
                jQuery("#field_content").val(_pipe[4]);
            }
        });
    };
    this.createCookie = function(name, value, days) {
        var expires = "";
        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
            var expires = "; expires=" + date.toGMTString();
        }
        document.cookie = name + "=" + value + expires + "; path=/";
    };

    this.readCookie = function(name) {
        var nameEQ = name + "=";
        var ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
        }
        return null;
    };

    this.eraseCookie = function(name) {
        createCookie(name, "", 1);
    };
    this.events();
}
var _Ajaxy_Analytics = new Ajaxy_Analytics();
