<?php


class NoCaptcha{
    static function script(){
        ?>
        <script src="https://www.google.com/recaptcha/api.js"></script>
        <?php
    }
    static function scriptContent(){
        echo file_get_contents('https://www.google.com/recaptcha/api.js');
    }
    static function valid($value){
        if (!$value || $value == "")
            return false;

        $response = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=".NO_CAPTCHA_SECRET."&response=".$value."&remoteip=".$_SERVER["REMOTE_ADDR"]);
        if(!$response || $response == ""){
            return false;
        }
        $json = json_decode($response, true);
        // if the captcha is cleared with google, send the mail and echo ok.
        if ($json["success"] != false) {
            return true;
        } else {
            return false;
        }
    }
    static function show(){
        ?>
        <div class="g-recaptcha" data-sitekey="<?php echo NO_CAPTCHA_KEY; ?>"></div>
        <noscript>
          <div>
            <div style="width: 302px; height: 422px; position: relative;">
              <div style="width: 302px; height: 422px; position: absolute;">
                <iframe src="https://www.google.com/recaptcha/api/fallback?k=<?php echo NO_CAPTCHA_KEY; ?>"
                        frameborder="0" scrolling="no"
                        style="width: 302px; height:422px; border-style: none;">
                </iframe>
              </div>
            </div>
            <div style="width: 300px; height: 60px; border-style: none;
                           bottom: 12px; left: 25px; margin: 0px; padding: 0px; right: 25px;
                           background: #f9f9f9; border: 1px solid #c1c1c1; border-radius: 3px;">
              <textarea id="g-recaptcha-response" name="g-recaptcha-response"
                           class="g-recaptcha-response"
                           style="width: 250px; height: 40px; border: 1px solid #c1c1c1;
                                  margin: 10px 25px; padding: 0px; resize: none;" >
              </textarea>
            </div>
          </div>
        </noscript>
        <?php
    }

}


 ?>
