function ajaxy_initialize() {
    var is_mobile = jQuery(window).width() < 768 ? true : false;
    if (is_mobile) {
        jQuery.scrollify.destroy();
        jQuery("#form-cont").removeClass("flip");
    } else {

        jQuery.scrollify({
            section: "section",
        });
    }
    var menuItems = jQuery('.masthead-nav ul li');
    var scrollItems = jQuery('body > section');
    var form_width = jQuery('#register-form').width();
    jQuery(window).scroll(function() {
        var pos = jQuery(this).scrollTop();
        if (pos < 1) {
            jQuery('body').removeClass('scrolling');
            jQuery('#register-form').css("right", "");
            jQuery('#register-form').css("width", "");
            form_width = jQuery('#register-form').width();
        } else {
            var p = jQuery('#register-form').parent();
            jQuery('#register-form')
                .css("right", (jQuery(window).width() - p.offset().left - p.width() - 15) + "px")
                .css("width", form_width + "px");
            jQuery('body').addClass('scrolling');
        }
    });
    /**
     * Scrolling Helper, slight scroll help from section to another
     */
    var scrolling = false;
    var menuItems = jQuery('.masthead-nav li');

    jQuery('section').waypoint({
        handler: function(direction) {
            var element = jQuery(this.element);
            switch (direction) {

                case "down":
                    var title = element.data("title");
                    var text = element.data("text");
                    var button = element.data("button");
                    if (title != "" || text != "") {
                        jQuery('#register-form .scroll-title').html(title);
                        jQuery('#register-form .scroll-text').html(text);
                    }
                    if (button != "") {
                        jQuery('#register-form .btn-flip').html(button);
                    }
                    if (!is_mobile) {
                        jQuery("#form-cont").addClass("flip");
                    }
                    var id = element.attr("id") ? element.attr("id") : "";
                    menuItems.removeClass("active");
                    if (id && id != "") {
                        menuItems.find('a[href^="#' + id + '"]').parent().addClass("active");
                    }
                    break;
                default:
                    //jQuery("#form-cont").addClass("flip")
                    break;
            }

        },
        offset: '70%'
    });
    jQuery('section').waypoint({
        handler: function(direction) {
            var element = jQuery(this.element);
            switch (direction) {

                case "up":
                    var title = element.data("title");
                    var text = element.data("text");
                    var button = element.data("button");
                    if (title != "" || text != "") {
                        jQuery('#register-form .scroll-title').html(title);
                        jQuery('#register-form .scroll-text').html(text);
                    }
                    if (button != "") {
                        jQuery('#register-form .btn-flip').html(button);
                    }
                    if (!is_mobile) {
                        jQuery("#form-cont").removeClass("flip");
                    }
                    var id = element.attr("id") ? element.attr("id") : "";
                    menuItems.removeClass("active");
                    if (id && id != "") {
                        menuItems.find('a[href^="#' + id + '"]').parent().addClass("active");
                    }
                    break;
                default:
                    //jQuery("#form-cont").addClass("flip")
                    break;
            }

        },
        offset: '-30%'
    });

    jQuery(window).trigger("scroll");
};
jQuery(window).load(function() {
    ajaxy_initialize();
})
jQuery(window).resize(function() {
    jQuery('body, html').animate({
        scrollTop: 0
    }, 100);

    ajaxy_initialize();
})
jQuery(document).ready(function() {
    jQuery('a.btn-flip').click(function() {
        var is_mobile = jQuery(window).width() < 768 ? true : false;
        if (is_mobile) {
            jQuery("#form-cont").toggleClass("show");
        } else {
            jQuery("#form-cont").removeClass("flip");
        }
        return false;
    });
    jQuery('a[href^="#"]').click(function(event) {
        if (jQuery(this).attr("href") != "#") {
            jQuery('html, body').animate({
                scrollTop: jQuery(jQuery(this).attr("href").replace('/', '')).offset().top
            }, 1000);
        }
    });
    jQuery("#register").submit(function(event) {
        jQuery('#msg').attr('class', 'processing').html('Processing your request').show();
        var data = jQuery(this).serialize();
        jQuery.post("ajax.php", data, function(response) {
            jQuery('#msg').attr('class', response.status).html(response.message).show();
            if (response.status == "success" && ga) {
                var path = location.pathname.substring(location.pathname.length - 1, location.pathname.length) == "/" ? location.pathname + "thankyou" : location.pathname + "/thankyou";
                ga('send', {
                    hitType: 'pageview',
                    page: path
                });
            }
            setTimeout(function() {
                jQuery('#msg').hide();
            }, 10000);
            grecaptcha.reset();
        }, 'json');
        event.preventDefault();
    });
    if (enable_captcha) {
        jQuery.get("captcha.php?show", function(response) {
            jQuery('#recaptcha').html(response);
            jQuery.getScript("captcha.php?content", function(data, textStatus, jqxhr) {});
        });
    }
    if (enable_event_tracking) {
        jQuery('a,button').click(function(event) {
            if (typeof(ga) != 'undefined') {
                ga('send', {
                    hitType: 'event',
                    eventCategory: 'Langing Page',
                    eventAction: 'click',
                    eventLabel: jQuery(this).html()
                });
            }
        });
    }
});
